Do more on the web, with a fast and secure browser!

Download Opera browser with:

  • built-in ad blocker
  • battery saver
  • free VPN
Download Opera

[Solved]Unable to synchronise Opera 36

  • Opera 36 on my old XP machine seems to keep dropping its connection to Opera sync.
    If I then try to sync, all that happens is I get a white box with a progress circle going round and round forever. I then get an e-mail saying I've logged in!
    However there is no indication on the browser that I'm logged in and sync is happening.
    Anyone any idea why that is?
    Thanks, Dave,

  • @davehawley Unfortunally they dropped support for opera 36 right now. We can't even upgrade our old OS right now if we want to update newer version because bookmarks could be lost. Hopefully they could readd support for opera 36 again but I very much doubt it.

  • @Darkneblade Support for XP/Vista was dropped in 2016.

  • @leocg said in Unable to synchronise Opera 36:

    @Darkneblade Support for XP/Vista was dropped in 2016.

    Yeah so? They didn't even give us warning if they were gonna ''upgrade'' sync system it was fine as it is. I understand dropping further updates but at least don't drop sync because it is literally lifeline.

  • @Darkneblade They mentioned it when they released Opera 36.

  • @davehawley There have been changes in Sync and since XP/Vista hasn't been supported for about four years, probably they will not upgrade it to adapt to those changes.

  • @leocg OK thanks, I did wonder if they might have now blocked Opera 36 from the sync servers as it's now considered too old, but it's odd that I'm still getting e-mails saying that I've logged in!
    However this has happened before, and it's always eventually come good, so I was hoping this was another temporary problem. I can't see any reason why Opera 36 should not still sync even though it's not supported in any other way. The only reason I can think of why it wouldn't is if it doesn't support security protocols that are newly required on the servers.
    It would be good if someone from Opera could come here and confirm what the issue actually is.
    🙂

  • Just tried again and it's still not working.
    I'm still getting e-mails saying I've logged in, but no indication on the browser.

    We have noticed a new sign-in to your Opera account (davehawley). 
    
    --------------------------------------------------------------------------------
    
    Browser: Opera 36.0.2130
    
    OS: Windows XP
    
    IP: 151.225.233.75
    
    

    I can't see anything in the documentation to say that there is any minimum version of Opera that's needed to be able to sync.

    Could someone from Opera clarify this please?
    Thanks, Dave.
    🙂

  • Still no answer from Opera about this?
    How can I send them a request directly?
    😕

  • @davehawley You can try https://www.opera.com/contact/support-form

    I guess the most logical thing is to consider that sync is no longer supported since the version and the OS are no longer supported.

  • Maybe @rfurmanski would know since he fixed it for you last time it broke in Opera 36 in your old thread.

  • @burnout426 Thanks, I had forgotten about that being fixed by someone specific! I have opened a chat to ask him. Cheers, Dave. 🙂

  • I asked Opera and they said they're done with supporting Opera 36 with their services due to technical security issues. So, there's your answer.

    However, my guess is that since Opera is Chromium-based and uses the system's network stack, it's probably an issue with WinXP SP3 not supporting sha-2 (sha-256 for example) certs.

    If you goto https://answers.microsoft.com/en-us/windows/forum/all/win-xp-sp3-sha-256-fix-found-but-cant-download-it/fee9c26b-388e-4a91-8511-b248566ef018, you'll see talk about a fix. The download links mentioned on that page no longer work, but if search for the filename (notice the one link has sp4 in it), you might be able to find the file on the net and install it. Then, Opera 36 might be able to take advantage of the fix. However, in Internet Options (in the control panel) under the "advanced" tab, you might want to make sure that TLS 1.2 is enabled. But, I forget if that's even an option. If not, see if you can find some TLS 1.2 hotfix or something for WinXP SP3. Then again, the sync server might require TLS 1.3 with no TLS downgrading, so you might still be stuck and will have to look for a solution for that for WinXP.

    Further, there might be some other encryption algorithms needed for the sync server that WinXP doesn't support. You would have to see if there's a way to hack those things into WinXP too. Even after all that though, I'm not sure if the version of Chromium Opera 36 uses can automatically take advantage of all those fixes or not.

    Short of those things, I' think you're probably out of luck now.

  • @burnout426 Thank you so much! 👍🏻
    @rfurmanski hasn't responded to my chat request, but you've confirmed what I suspected was the case anyway, I just wanted it to hear it from someone at Opera, and that's what you've done for me and I'm very grateful for that.
    I do have the updates you mentioned on XP already, which enables the use of TLSv1.2 in Internet Explorer and other programs which use it to display things, like the Eudora e-mail client.
    It doesn't run to TLSv1.3 though, so that may be the sticking point.
    It's not really a problem as I don't now use Opera as my default browser, it was just nice that Opera Sync was keeping a cloud backup of things like its bookmarks and logins. Not the end of the world if it's not going to work any more though!
    Thanks again, Cheers, Dave.
    🙂

  • @davehawley You data should still be accessible by a modern version of Opera on a newer OS though if you haven't cleared it at sync.opera.com.

  • @burnout426 Thanks again, yes of course, in fact the last time I tried I could still access the data online with Opera 36! It seems to be just the automatic sync mechanism which no longer works between the browser and the server. As you say, it could be any one or more of now unsupported security protocols which are failing. Never mind, it had a good run! 🙂

  • @burnout426 Actually I just tried sync.opera.com in Opera 36 and this time I was greeted by -
    "Your browser is not supported. Please update your browser to newest version."
    That's the end of that then! 😁

Log in to reply